searchNodes=[{"doc":"RDF Triple Compounds. This library provides the RTC.Compound struct for working with RDF Triple Compounds. See the RTC spec for a general introduction into the vocabulary and the idea behind it and the guide on RTC.ex for an introduction on working with this library.","ref":"RTC.html","title":"RTC","type":"module"},{"doc":"See RTC.NS.RTC.element_of/0 .","ref":"RTC.html#element_of/0","title":"RTC.element_of/0","type":"function"},{"doc":"See RTC.NS.RTC.element_of/2 .","ref":"RTC.html#element_of/2","title":"RTC.element_of/2","type":"function"},{"doc":"See RTC.NS.RTC.elementOf/0 .","ref":"RTC.html#elementOf/0","title":"RTC.elementOf/0","type":"function"},{"doc":"See RTC.NS.RTC.elementOf/2 .","ref":"RTC.html#elementOf/2","title":"RTC.elementOf/2","type":"function"},{"doc":"See RTC.NS.RTC.elements/0 .","ref":"RTC.html#elements/0","title":"RTC.elements/0","type":"function"},{"doc":"See RTC.NS.RTC.elements/2 .","ref":"RTC.html#elements/2","title":"RTC.elements/2","type":"function"},{"doc":"","ref":"RTC.html#id/0","title":"RTC.id/0","type":"function"},{"doc":"","ref":"RTC.html#id/1","title":"RTC.id/1","type":"function"},{"doc":"See RTC.NS.RTC.sub_compound_of/0 .","ref":"RTC.html#sub_compound_of/0","title":"RTC.sub_compound_of/0","type":"function"},{"doc":"See RTC.NS.RTC.sub_compound_of/2 .","ref":"RTC.html#sub_compound_of/2","title":"RTC.sub_compound_of/2","type":"function"},{"doc":"See RTC.NS.RTC.subCompoundOf/0 .","ref":"RTC.html#subCompoundOf/0","title":"RTC.subCompoundOf/0","type":"function"},{"doc":"See RTC.NS.RTC.subCompoundOf/2 .","ref":"RTC.html#subCompoundOf/2","title":"RTC.subCompoundOf/2","type":"function"},{"doc":"A struct representing an RDF Triple Compound. An RDF Triple Compound is a set of triples embedded in an RDF graph. You can create such a set of triples either from scratch with the new/1 function, or you can load an already existing compound from an RDF graph with the from_rdf/2 function. You can then use the various functions on this module to get its triples, sub-compounds, super-compounds and annotations or edit them. Finally, you can get back the RDF form of the compound with to_rdf/2 . If you only want an RDF graph of the contained triples (without the annotations), you can use the graph/1 function. Asserted and unasserted triples A compound can contain both asserted and unasserted triples. When creating a compound with initial triples with the new/3 function or adding triples with add/3 you can specify in which assertion mode the given triples should be interpreted with the :assertion_mode option and one of the values :asserted or :unasserted . By default, :asserted is assumed, but you can configure the default value in your application with the following configuration on your config.exs files: config :rtc , :assertion_mode , :unasserted All query functions operating over the set of triples and the delete/3 and delete_description/3 functions also support an :assertion_mode which defines which triples should be considered with the following supported values: :all (default): consider both asserted and unasserted triples :asserted : only consider asserted triples :unasserted : only consider unasserted triples Auto-generated ids Various functions can be used in such a way, that they will create compounds with a proper resource identifier implicitly. By default, they will create a random blank node, but the identifier creation behavior can be configured and customized via RDF.Resource.Generator s. For example, to create UUIDv4 URIs instead, you could use this configuration in your config.exs : config :rtc , :id , generator : RDF.IRI.UUID.Generator , uuid_version : 4 , prefix : &quot;http://example.com/ns/&quot; See the guide on resource generators for more information and available generators.","ref":"RTC.Compound.html","title":"RTC.Compound","type":"module"},{"doc":"Adds triples to the given compound . Triples can be provided in any form accepted by RDF.Graph.add/2 . Available options: :assertion_mode : the assertion mode to be used for the triples to be added (see module documentation section on &quot;Asserted and unasserted triples&quot;)","ref":"RTC.Compound.html#add/3","title":"RTC.Compound.add/3","type":"function"},{"doc":"Adds statements to the annotations of the given compound .","ref":"RTC.Compound.html#add_annotations/2","title":"RTC.Compound.add_annotations/2","type":"function"},{"doc":"Returns the annotations of the given compound . Supported options: :inherited - controls if inherited annotations should be included or only the direct annotations of the given compound should be returned. Default: true","ref":"RTC.Compound.html#annotations/2","title":"RTC.Compound.annotations/2","type":"function"},{"doc":"Returns an RDF graph of the asserted triples in the compound (incl. its sub-compounds) without the annotations. The following options can be used to customize the returned graph: :name : the name of the graph to be created (by default, the compound id is used as the graph name, unless a blank node is used as the compound id, or the one specified with :name on new/3 ) :prefixes : some prefix mappings which should be added the graph and will be used for example when serializing in a format with prefix support. Defaults to the ones specified during the creation of the compound with new/3 . :base_iri : a base IRI which should be stored alongside the graph and will be used for example when serializing in a format with base IRI support","ref":"RTC.Compound.html#asserted_graph/2","title":"RTC.Compound.asserted_graph/2","type":"function"},{"doc":"See RTC.Compound.reset_id/2 .","ref":"RTC.Compound.html#change_name/2","title":"RTC.Compound.change_name/2","type":"function"},{"doc":"Returns the default value of the :assertion_mode option. This value can be configured in your application with the following configuration on your config.exs files: config :rtc , :assertion_mode , :unasserted When no :assertion_mode is specified, the :asserted style is used by default.","ref":"RTC.Compound.html#default_assertion_mode/0","title":"RTC.Compound.default_assertion_mode/0","type":"function"},{"doc":"Returns the default value of the :element_style option of to_rdf/2 . This value can be configured in your application with the following configuration on your config.exs files: config :rtc , :element_style , :elements When no :element_style is specified, the :element_of style is used by default.","ref":"RTC.Compound.html#default_element_style/0","title":"RTC.Compound.default_element_style/0","type":"function"},{"doc":"Deletes triples from the given compound . Triples can be provided in any form accepted by RDF.Graph.delete/2 . If a triple occurs in one or more sub-compounds, it gets deleted from all of them. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot;","ref":"RTC.Compound.html#delete/3","title":"RTC.Compound.delete/3","type":"function"},{"doc":"Deletes statements from the annotations of the given compound . Statements not part of the annotations are simply ignored.","ref":"RTC.Compound.html#delete_annotations/2","title":"RTC.Compound.delete_annotations/2","type":"function"},{"doc":"Deletes all triples with the given subjects from the given compound . If a triple occurs in one or more sub-compounds, it gets deleted from all of them. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot;","ref":"RTC.Compound.html#delete_descriptions/3","title":"RTC.Compound.delete_descriptions/3","type":"function"},{"doc":"Deletes a sub-compound from the given compound . The sub_compound to be deleted can be specified by id or given directly. Note however, that the elements of the sub-compound to be deleted are not taken into consideration, just its id is used to address the sub-compound to be deleted.","ref":"RTC.Compound.html#delete_sub_compound/2","title":"RTC.Compound.delete_sub_compound/2","type":"function"},{"doc":"Deletes a super-compound from the given compound . The super_compound to be deleted can be specified by id or given directly. Note however, that the elements of the super-compound to be deleted are not taken into consideration, just its id is used to address the super-compound to be deleted.","ref":"RTC.Compound.html#delete_super_compound/2","title":"RTC.Compound.delete_super_compound/2","type":"function"},{"doc":"Returns whether the given compound or any of its sub-compounds contains triples about the given subject. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot; Examples iex&gt; RTC.Compound . new ( [ { EX.S1 , EX . p1 , EX.O1 } ] ) |&gt; RTC.Compound . describes? ( EX.S1 ) true iex&gt; RTC.Compound . new ( [ { EX.S1 , EX . p1 , EX.O1 } ] ) |&gt; RTC.Compound . describes? ( EX.S2 ) false","ref":"RTC.Compound.html#describes?/3","title":"RTC.Compound.describes?/3","type":"function"},{"doc":"Returns the description of the given subject. When the subject can not be found an empty description is returned. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot; Examples iex&gt; RTC.Compound . new ( [ { EX.S1 , EX.P1 , EX.O1 } , { EX.S2 , EX.P2 , EX.O2 } ] ) ...&gt; |&gt; RTC.Compound . description ( EX.S1 ) RDF.Description . new ( EX.S1 , init : { EX.P1 , EX.O1 } ) iex&gt; RTC.Compound . new ( [ { EX.S , EX.P1 , EX.O1 } ] , sub_compounds : RTC.Compound . new ( [ { EX.S , EX.P2 , EX.O2 } ] ) ) ...&gt; |&gt; RTC.Compound . description ( EX.S ) RDF.Description . new ( EX.S , init : [ { EX.P1 , EX.O1 } , { EX.P2 , EX.O2 } ] ) iex&gt; RTC.Compound . new ( [ ] ) ...&gt; |&gt; RTC.Compound . description ( EX.S1 ) RDF.Description . new ( EX.S1 )","ref":"RTC.Compound.html#description/3","title":"RTC.Compound.description/3","type":"function"},{"doc":"Returns a list of the RDF.Description s in the given compound . Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot;","ref":"RTC.Compound.html#descriptions/2","title":"RTC.Compound.descriptions/2","type":"function"},{"doc":"Returns if the given compound (and of its sub-compounds) does not contain any triples. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot;","ref":"RTC.Compound.html#empty?/2","title":"RTC.Compound.empty?/2","type":"function"},{"doc":"Fetches the description of the given subject. When the subject can not be found :error is returned. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot; Examples iex&gt; RTC.Compound . new ( [ { EX.S1 , EX.P1 , EX.O1 } , { EX.S2 , EX.P2 , EX.O2 } ] , EX.Compound ) ...&gt; |&gt; RTC.Compound . fetch ( EX.S1 ) { :ok , RDF.Description . new ( EX.S1 , init : { EX.P1 , EX.O1 } ) } iex&gt; RTC.Compound . new ( ) |&gt; RTC.Compound . fetch ( EX . foo ) :error","ref":"RTC.Compound.html#fetch/3","title":"RTC.Compound.fetch/3","type":"function"},{"doc":"Retrieves the compound with the given compound_id from a RDF.Graph . When no compound with the given compound_id can be found in the given graph , an empty compound is returned.","ref":"RTC.Compound.html#from_rdf/2","title":"RTC.Compound.from_rdf/2","type":"function"},{"doc":"Retrieves the compound with the given compound_id from a SPARQL endpoint. This function is only available when the sparql_client dependency is added in your Mixfile . When no compound with the given compound_id can be found in the given graph , an empty compound is returned. This function requests the execution of a SPARQL CONSTRUCT query without any further options on the respective SPARQL.Client call. You can configure the options to be used on this request with the :from_sparql_opts configuration on your config.exs files, e.g. config :rtc , :from_sparql_opts , accept_header : &quot;application/x-turtlestar&quot; , result_format : :turtle See SPARQL.Client for available options.","ref":"RTC.Compound.html#from_sparql/2","title":"RTC.Compound.from_sparql/2","type":"function"},{"doc":"Retrieves the compound with the given compound_id from a SPARQL endpoint. This function is only available when the sparql_client dependency is added in your Mixfile . The opts are used as the options for the CONSTRUCT query call by the SPARQL.Client against the endpoint. See SPARQL.Client for available options. When no compound with the given compound_id can be found in the given graph , an empty compound is returned.","ref":"RTC.Compound.html#from_sparql/3","title":"RTC.Compound.from_sparql/3","type":"function"},{"doc":"Retrieves the compound with the given compound_id from a SPARQL endpoint. As opposed to from_sparql/3 this function returns the result directly and raises an error when the SPARQL client call fails.","ref":"RTC.Compound.html#from_sparql!/3","title":"RTC.Compound.from_sparql!/3","type":"function"},{"doc":"Gets the description of the given subject . When the subject can not be found the optionally given default value or nil is returned. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot; Examples iex&gt; RTC.Compound . new ( [ { EX.S1 , EX.P1 , EX.O1 } , { EX.S2 , EX.P2 , EX.O2 } ] , EX.Compound ) ...&gt; |&gt; RTC.Compound . get ( EX.S1 ) RDF.Description . new ( EX.S1 , init : { EX.P1 , EX.O1 } ) iex&gt; RTC.Compound . get ( RTC.Compound . new ( ) , EX.Foo ) nil iex&gt; RTC.Compound . get ( RTC.Compound . new ( ) , EX.Foo , :bar ) :bar","ref":"RTC.Compound.html#get/4","title":"RTC.Compound.get/4","type":"function"},{"doc":"Returns an RDF graph of all the asserted and unasserted triples in the compound (incl. its sub-compounds) without the annotations. The following options can be used to customize the returned graph: :name : the name of the graph to be created (by default, the compound id is used as the graph name, unless a blank node is used as the compound id, or the one specified with :name on new/3 ) :prefixes : some prefix mappings which should be added the graph and will be used for example when serializing in a format with prefix support. Defaults to the ones specified during the creation of the compound with new/3 . :base_iri : a base IRI which should be stored alongside the graph and will be used for example when serializing in a format with base IRI support :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot;","ref":"RTC.Compound.html#graph/2","title":"RTC.Compound.graph/2","type":"function"},{"doc":"Returns the id of the given compound .","ref":"RTC.Compound.html#id/1","title":"RTC.Compound.id/1","type":"function"},{"doc":"Returns whether the given triples are an element of the given compound or any of its sub-compounds. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot;","ref":"RTC.Compound.html#include?/3","title":"RTC.Compound.include?/3","type":"function"},{"doc":"Returns the merged annotations of all super-compounds of the given compound .","ref":"RTC.Compound.html#inherited_annotations/1","title":"RTC.Compound.inherited_annotations/1","type":"function"},{"doc":"Returns the annotations of the given super-compound of compound .","ref":"RTC.Compound.html#inherited_annotations/2","title":"RTC.Compound.inherited_annotations/2","type":"function"},{"doc":"See RTC.Compound.id/1 .","ref":"RTC.Compound.html#name/1","title":"RTC.Compound.name/1","type":"function"},{"doc":"Creates a empty compound with an automatically generated id. See the module documentation for information on auto-generated ids.","ref":"RTC.Compound.html#new/0","title":"RTC.Compound.new/0","type":"function"},{"doc":"Creates a compound with the given set of triples and an automatically generated id. If you want to define the id yourself, use new/2 or new/3 . See the module documentation for information on auto-generated ids. Triples can be provided in any form accepted by RDF.Graph.new/2 . When a list of triples is given which contains nested lists of triples, sub-compounds with auto-generated ids are generated and added for each of the nested lists.","ref":"RTC.Compound.html#new/1","title":"RTC.Compound.new/1","type":"function"},{"doc":"Creates a new compound with the given set of triples and the given id. Triples can be provided in any form accepted by RDF.Graph.new/2 . When a list of triples is given which contains nested lists of triples, sub-compounds with auto-generated ids are generated and added for each of the nested lists. If a keyword list is given as the second argument, an id is generated and delegated to new/3 . See new/3 for a description of the available options. See the module documentation for information on auto-generated ids.","ref":"RTC.Compound.html#new/2","title":"RTC.Compound.new/2","type":"function"},{"doc":"Creates a new compound with the given set of triples and the given id. Triples can be provided in any form accepted by RDF.Graph.new/2 . When a list of triples is given which contains nested lists of triples, sub-compounds with auto-generated ids are generated and added for each of the nested lists. Alternatively, the sub_compounds option can be used to provide one or a list of sub-compounds to be added. Available options: :assertion_mode : the assertion mode to be used for the triples to be added (see module documentation section on &quot;Asserted and unasserted triples&quot;) :name : the name of the graph which gets returned by graph/1 and to_rdf/2 (by default, the compound id is used as the graph name or nil when the compound id is a blank node) :prefixes : the prefix mappings which should used by default when an RDF.Graph is produced from this compound, e.g. with to_rdf/2 , graph/2 etc. Note, that a rtc prefix for the RTC vocabulary is added by to_rdf/2 in any case, so it usually not required to be defined here, unless you want it to be added also to the graphs with the element triples like graph/2 . :base_iri : a base IRI which should be stored alongside the graph and will be used for example when serializing in a format with base IRI support :annotations : allows to set the initial annotations of the compound as an RDF.Description or anything an RDF.Description can be built from. The subject in the input is ignored, so that the RDF.Description of any resource can be used as a blueprint. :sub_compounds : a single sub-compound or multiple sub-compounds as a list :super_compounds : a single compound id of a super-compound or multiple compound ids as a list. One or multiple compounds or RDF.Description s of the annotations can be provided also, in which case only the ids and the annotations are stored.","ref":"RTC.Compound.html#new/3","title":"RTC.Compound.new/3","type":"function"},{"doc":"The set of all resources used in the objects of the triples within a RTC.Compound or any of its sub-compounds. Note: This function does collect only IRIs and BlankNodes, not Literals. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot; Examples iex&gt; RTC.Compound . new ( [ ...&gt; { EX.S1 , EX . p1 , EX.O1 } , ...&gt; { EX.S2 , EX . p2 , EX.O2 } , ...&gt; { EX.S3 , EX . p1 , EX.O2 } , ...&gt; { EX.S4 , EX . p2 , RDF . bnode ( :bnode ) } , ...&gt; { EX.S5 , EX . p3 , &quot;foo&quot; } ] , ...&gt; EX.Compound ) ...&gt; |&gt; RTC.Compound . objects ( ) MapSet . new ( [ RDF . iri ( EX.O1 ) , RDF . iri ( EX.O2 ) , RDF . bnode ( :bnode ) ] )","ref":"RTC.Compound.html#objects/2","title":"RTC.Compound.objects/2","type":"function"},{"doc":"Pops an arbitrary triple from the given compound or any of its sub-compounds.","ref":"RTC.Compound.html#pop/1","title":"RTC.Compound.pop/1","type":"function"},{"doc":"Pops the description of the given subject. Removes the description of the given subject from compound and all of its sub-compounds. Returns a tuple containing the description of the given subject and the updated compound without this description. nil is returned instead of the description if compound does not contain a description of the given subject . Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot; Examples iex&gt; RTC.Compound . new ( [ { EX.S1 , EX.P1 , EX.O1 } , { EX.S2 , EX.P2 , EX.O2 } ] , EX.Compound ) ...&gt; |&gt; RTC.Compound . pop ( EX.S1 ) { RDF.Description . new ( EX.S1 , init : { EX.P1 , EX.O1 } ) , RTC.Compound . new ( { EX.S2 , EX.P2 , EX.O2 } , EX.Compound ) } iex&gt; RTC.Compound . new ( { EX.S , EX.P , EX.O } , EX.Compound ) ...&gt; |&gt; RTC.Compound . pop ( EX.Missing ) { nil , RTC.Compound . new ( { EX.S , EX.P , EX.O } , EX.Compound ) }","ref":"RTC.Compound.html#pop/3","title":"RTC.Compound.pop/3","type":"function"},{"doc":"The set of all properties used in the triples within a RTC.Compound or any of its sub-compounds. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot; Examples iex&gt; RTC.Compound . new ( [ ...&gt; { EX.S1 , EX . p1 , EX.O1 } , ...&gt; { EX.S2 , EX . p2 , EX.O2 } , ...&gt; { EX.S1 , EX . p2 , EX.O3 } ] , ...&gt; EX.Compound ) ...&gt; |&gt; RTC.Compound . predicates ( ) MapSet . new ( [ EX . p1 , EX . p2 ] )","ref":"RTC.Compound.html#predicates/2","title":"RTC.Compound.predicates/2","type":"function"},{"doc":"Adds a sub-compound to the given compound . If a sub-compound with the same id already exists, it gets overwritten. When just triples are passed instead of compound, a compound with an auto-generated id is created implicitly.","ref":"RTC.Compound.html#put_sub_compound/2","title":"RTC.Compound.put_sub_compound/2","type":"function"},{"doc":"Adds a super-compound to the given compound . The super-compound can be given as a compound identifier, a RDF.Description or a RTC.Compound . In case of a compound only its id and annotations are relevant, which will be returned when inherited annotations are requested. A RDF.Description is interpreted as the annotations of the super-compound. Warning The annotations are just used for the purpose of showing inherited annotations. They won't be rendered in to_rdf/2 . So, you can't use this function to change the annotations of super-compounds. You'll have to load a super-compound with from_rdf/2 and change the annotations on this compound. If a super-compound with the same id already exists, it gets overwritten.","ref":"RTC.Compound.html#put_super_compound/2","title":"RTC.Compound.put_super_compound/2","type":"function"},{"doc":"Sets a new id on the given compound .","ref":"RTC.Compound.html#reset_id/2","title":"RTC.Compound.reset_id/2","type":"function"},{"doc":"The set of all resources used in the triples within a RTC.Compound or any of its sub-compounds. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot; Examples iex&gt; RTC.Compound . new ( [ ...&gt; { EX.S1 , EX . p1 , EX.O1 } , ...&gt; { EX.S2 , EX . p1 , EX.O2 } , ...&gt; { EX.S2 , EX . p2 , RDF . bnode ( :bnode ) } , ...&gt; { EX.S3 , EX . p1 , &quot;foo&quot; } ] , ...&gt; EX.Compound ) ...&gt; |&gt; RTC.Compound . resources ( ) MapSet . new ( [ RDF . iri ( EX.S1 ) , RDF . iri ( EX.S2 ) , RDF . iri ( EX.S3 ) , RDF . iri ( EX.O1 ) , RDF . iri ( EX.O2 ) , RDF . bnode ( :bnode ) , EX . p1 , EX . p2 ] )","ref":"RTC.Compound.html#resources/2","title":"RTC.Compound.resources/2","type":"function"},{"doc":"See RTC.Compound.statement_count/1 .","ref":"RTC.Compound.html#statement_count/1","title":"RTC.Compound.statement_count/1","type":"function"},{"doc":"See RTC.Compound.triples/1 .","ref":"RTC.Compound.html#statements/1","title":"RTC.Compound.statements/1","type":"function"},{"doc":"Returns the sub-compound of the given compound with the given sub_compound_id . It will search the whole sub-compound tree for the requested sub_compound_id If no compound with the sub_compound_id can be found, nil is returned.","ref":"RTC.Compound.html#sub_compound/2","title":"RTC.Compound.sub_compound/2","type":"function"},{"doc":"Returns a list of the sub-compounds of the given compound .","ref":"RTC.Compound.html#sub_compounds/1","title":"RTC.Compound.sub_compounds/1","type":"function"},{"doc":"The set of all subjects used in the triples within a RTC.Compound or any of its sub-compounds. Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot; Examples iex&gt; RTC.Compound . new ( [ ...&gt; { EX.S1 , EX . p1 , EX.O1 } , ...&gt; { EX.S2 , EX . p2 , EX.O2 } , ...&gt; { EX.S1 , EX . p2 , EX.O3 } ] , ...&gt; EX.Compound ) ...&gt; |&gt; RTC.Compound . subjects ( ) MapSet . new ( [ RDF . iri ( EX.S1 ) , RDF . iri ( EX.S2 ) ] )","ref":"RTC.Compound.html#subjects/2","title":"RTC.Compound.subjects/2","type":"function"},{"doc":"Returns a list of the ids of the super-compounds of the given compound . Example iex&gt; RTC.Compound . new ( { EX.S , EX . p , EX.O } , EX.Compound , super_compounds : EX.SuperCompound ) ...&gt; |&gt; RTC.Compound . super_compounds ( ) [ RDF . iri ( EX.SuperCompound ) ]","ref":"RTC.Compound.html#super_compounds/1","title":"RTC.Compound.super_compounds/1","type":"function"},{"doc":"Creates an RDF-star graph of the given compound with all RTC annotations. The style for how the assignments of the triples are encoded can be specified with the :element_style keyword and one the following values: :element_of : Uses the rtc:elementOf property to assign each of the triples individually to the compound. This has the benefit that in the Turtle-star serializations the annotation syntax can be used, which doesn't require repeating the assertion and is therefore more compact. :elements : Assigns the triples to the compound, by listing them as objects of the inverse rtc:elements property. This has the benefit that the actual assertion are not pervaded by annotations and the compound resource can be serialized in an isolated and self-contained manner. When no :element_style is specified, the configurable result of the default_element_style/0 function is used as the default. The following options can be used to customize the returned graph: :name : the name of the graph to be created. By default, the compound id is used as the graph name, unless a blank node is used as the compound id, or the one specified with :name on new/3 . :prefixes : some prefix mappings which should be added the graph and will be used for example when serializing in a format with prefix support. Defaults to the ones specified during the creation of the compound with new/3 or the RDF.default_prefixes/0 . The rtc prefix for the RTC vocabulary is added in any case, so it is not required to be defined here. :base_iri : a base IRI which should be stored alongside the graph and will be used for example when serializing in a format with base IRI support","ref":"RTC.Compound.html#to_rdf/2","title":"RTC.Compound.to_rdf/2","type":"function"},{"doc":"Returns the number of triples in the given compound . Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot;","ref":"RTC.Compound.html#triple_count/2","title":"RTC.Compound.triple_count/2","type":"function"},{"doc":"Returns a list of the triples in the given compound . Supported options: :assertion_mode : see module documentation section on &quot;Asserted and unasserted triples&quot;","ref":"RTC.Compound.html#triples/2","title":"RTC.Compound.triples/2","type":"function"},{"doc":"Returns an RDF graph of the unasserted triples in the compound (incl. its sub-compounds) without the annotations. The following options can be used to customize the returned graph: :name : the name of the graph to be created (by default, the compound id is used as the graph name, unless a blank node is used as the compound id, or the one specified with :name on new/3 ) :prefixes : some prefix mappings which should be added the graph and will be used for example when serializing in a format with prefix support. Defaults to the ones specified during the creation of the compound with new/3 . :base_iri : a base IRI which should be stored alongside the graph and will be used for example when serializing in a format with base IRI support","ref":"RTC.Compound.html#unasserted_graph/2","title":"RTC.Compound.unasserted_graph/2","type":"function"},{"doc":"","ref":"RTC.Compound.html#t:coercible_id/0","title":"RTC.Compound.coercible_id/0","type":"type"},{"doc":"","ref":"RTC.Compound.html#t:id/0","title":"RTC.Compound.id/0","type":"type"},{"doc":"","ref":"RTC.Compound.html#t:t/0","title":"RTC.Compound.t/0","type":"type"},{"doc":"RDF.Vocabulary.Namespace s for the used vocabularies.","ref":"RTC.NS.html","title":"RTC.NS","type":"module"},{"doc":"The RTC vocabulary. Since this module has the same basename as the top-level module, you can't alias it. Therefore, the top-level RTC module has delegators for all of the property functions in this module, so you can use them directly on the top-level module without an alias. See https://rtc-org.github.io/spec","ref":"RTC.NS.RTC.html","title":"RTC.NS.RTC","type":"module"},{"doc":"Returns all known IRIs of the vocabulary.","ref":"RTC.NS.RTC.html#__iris__/0","title":"RTC.NS.RTC.__iris__/0","type":"function"},{"doc":"https://w3id.org/rtc#elementOf","ref":"RTC.NS.RTC.html#element_of/0","title":"RTC.NS.RTC.element_of/0","type":"function"},{"doc":"RDF.Description property accessor for element_of/0","ref":"RTC.NS.RTC.html#element_of/1","title":"RTC.NS.RTC.element_of/1","type":"function"},{"doc":"RDF.Description builder for element_of/0","ref":"RTC.NS.RTC.html#element_of/2","title":"RTC.NS.RTC.element_of/2","type":"function"},{"doc":"https://w3id.org/rtc#elementOf","ref":"RTC.NS.RTC.html#elementOf/0","title":"RTC.NS.RTC.elementOf/0","type":"function"},{"doc":"RDF.Description property accessor for elementOf/0","ref":"RTC.NS.RTC.html#elementOf/1","title":"RTC.NS.RTC.elementOf/1","type":"function"},{"doc":"RDF.Description builder for elementOf/0","ref":"RTC.NS.RTC.html#elementOf/2","title":"RTC.NS.RTC.elementOf/2","type":"function"},{"doc":"https://w3id.org/rtc#elements","ref":"RTC.NS.RTC.html#elements/0","title":"RTC.NS.RTC.elements/0","type":"function"},{"doc":"RDF.Description property accessor for elements/0","ref":"RTC.NS.RTC.html#elements/1","title":"RTC.NS.RTC.elements/1","type":"function"},{"doc":"RDF.Description builder for elements/0","ref":"RTC.NS.RTC.html#elements/2","title":"RTC.NS.RTC.elements/2","type":"function"},{"doc":"https://w3id.org/rtc#subCompoundOf","ref":"RTC.NS.RTC.html#sub_compound_of/0","title":"RTC.NS.RTC.sub_compound_of/0","type":"function"},{"doc":"RDF.Description property accessor for sub_compound_of/0","ref":"RTC.NS.RTC.html#sub_compound_of/1","title":"RTC.NS.RTC.sub_compound_of/1","type":"function"},{"doc":"RDF.Description builder for sub_compound_of/0","ref":"RTC.NS.RTC.html#sub_compound_of/2","title":"RTC.NS.RTC.sub_compound_of/2","type":"function"},{"doc":"https://w3id.org/rtc#subCompoundOf","ref":"RTC.NS.RTC.html#subCompoundOf/0","title":"RTC.NS.RTC.subCompoundOf/0","type":"function"},{"doc":"RDF.Description property accessor for subCompoundOf/0","ref":"RTC.NS.RTC.html#subCompoundOf/1","title":"RTC.NS.RTC.subCompoundOf/1","type":"function"},{"doc":"RDF.Description builder for subCompoundOf/0","ref":"RTC.NS.RTC.html#subCompoundOf/2","title":"RTC.NS.RTC.subCompoundOf/2","type":"function"},{"doc":"All notable changes to this project will be documented in this file. This project adheres to Semantic Versioning and Keep a CHANGELOG .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0-2023-03-31","title":"Changelog - v0.1.0 - 2023-03-31","type":"extras"}]